package com.ruoyi.finance.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 财务数据明细对象 t_fee_do
 *
 * @author ruoyi
 * @date 2021-01-18
 */
public class TFeeDo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 父级id
     */
    @Excel(name = "父级id")
    private Long fPid;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long fActId;

    /**
     * 行号
     */
    @Excel(name = "行号")
    private Long fLineno;

    /**
     * 来源id
     */
    @Excel(name = "来源id")
    private Long fSrcid;

    /**
     * 来源行号
     */
    @Excel(name = "来源行号")
    private Long fSrclineno;

    /**
     * 来源id
     */
    @Excel(name = "来源id")
    private Long fSrcpid;

    /**
     * 收、付
     */
    @Excel(name = "收、付")
    private String fSrcdc;

    /**
     * 费用名称()
     */
    @Excel(name = "费用名称()")
    private Long fFeeid;

    /**
     * 原始金额
     */
    @Excel(name = "原始金额")
    private BigDecimal fAmtdr;

    /**
     * 本次金额
     */
    @Excel(name = "本次金额")
    private BigDecimal fAmt;

    /**
     * 状态(默认 T ,正常T 停用F 下拉选择)
     */
    @Excel(name = "状态(默认 T ,正常T 停用F 下拉选择)")
    private String fStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 已处理金额
     */
    @Excel(name = "已处理金额")
    private BigDecimal fAmtStl;

    /**
     * 剩余金额
     */
    @Excel(name = "剩余金额")
    private BigDecimal fAmtBlc;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;
    //币别
    private String fCurrency;
    //汇率
    private String fExrate;
    //船名
    private String boatName;
    //航次
    private String voyageName;
    //费用名称
    private String fFeeName;
    //业务编号
    private String srcBillNo;
    //提单号
    private String fMblno;
    //业务类型
    private String fBilltype;
    //状态中文
    private String fStatusName;
    //收付
    private String fSrcdcName;
    //对账单号
    private String accountBillno;
    //预计开船日期
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fBsdate;
    /**
     * 数据是否可修改
     */
    private Integer updateMessage = 1;

    public Integer getUpdateMessage() {
        return updateMessage;
    }

    public void setUpdateMessage(Integer updateMessage) {
        this.updateMessage = updateMessage;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getAccountBillno() {
        return accountBillno;
    }

    public void setAccountBillno(String accountBillno) {
        this.accountBillno = accountBillno;
    }

    public String getfFeeName() {
        return fFeeName;
    }

    public void setfFeeName(String fFeeName) {
        this.fFeeName = fFeeName;
    }

    public String getfSrcdcName() {
        return fSrcdcName;
    }

    public void setfSrcdcName(String fSrcdcName) {
        this.fSrcdcName = fSrcdcName;
    }

    public String getfStatusName() {
        return fStatusName;
    }

    public void setfStatusName(String fStatusName) {
        this.fStatusName = fStatusName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getSrcBillNo() {
        return srcBillNo;
    }

    public void setSrcBillNo(String srcBillNo) {
        this.srcBillNo = srcBillNo;
    }

    public String getfCurrency() {
        return fCurrency;
    }

    public void setfCurrency(String fCurrency) {
        this.fCurrency = fCurrency;
    }

    public String getfExrate() {
        return fExrate;
    }

    public void setfExrate(String fExrate) {
        this.fExrate = fExrate;
    }

    public String getBoatName() {
        return boatName;
    }

    public void setBoatName(String boatName) {
        this.boatName = boatName;
    }

    public String getVoyageName() {
        return voyageName;
    }

    public void setVoyageName(String voyageName) {
        this.voyageName = voyageName;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfActId(Long fActId) {
        this.fActId = fActId;
    }

    public Long getfActId() {
        return fActId;
    }

    public void setfLineno(Long fLineno) {
        this.fLineno = fLineno;
    }

    public Long getfLineno() {
        return fLineno;
    }

    public void setfSrcid(Long fSrcid) {
        this.fSrcid = fSrcid;
    }

    public Long getfSrcid() {
        return fSrcid;
    }

    public void setfSrclineno(Long fSrclineno) {
        this.fSrclineno = fSrclineno;
    }

    public Long getfSrclineno() {
        return fSrclineno;
    }

    public void setfSrcpid(Long fSrcpid) {
        this.fSrcpid = fSrcpid;
    }

    public Long getfSrcpid() {
        return fSrcpid;
    }

    public void setfSrcdc(String fSrcdc) {
        this.fSrcdc = fSrcdc;
    }

    public String getfSrcdc() {
        return fSrcdc;
    }

    public void setfFeeid(Long fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Long getfFeeid() {
        return fFeeid;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setfAmtStl(BigDecimal fAmtStl) {
        this.fAmtStl = fAmtStl;
    }

    public BigDecimal getfAmtStl() {
        return fAmtStl;
    }

    public void setfAmtBlc(BigDecimal fAmtBlc) {
        this.fAmtBlc = fAmtBlc;
    }

    public BigDecimal getfAmtBlc() {
        return fAmtBlc;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fPid", getfPid())
                .append("fActId", getfActId())
                .append("fLineno", getfLineno())
                .append("fSrcid", getfSrcid())
                .append("fSrclineno", getfSrclineno())
                .append("fSrcpid", getfSrcpid())
                .append("fSrcdc", getfSrcdc())
                .append("fFeeid", getfFeeid())
                .append("fAmtdr", getfAmtdr())
                .append("fAmt", getfAmt())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("fAmtStl", getfAmtStl())
                .append("createTime", getCreateTime())
                .append("fAmtBlc", getfAmtBlc())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("fRemarks", getfRemarks())
                .toString();
    }
}
